import LhMap3D from './map3D'

const components = [
  LhMap3D,
]
const install = function (Vue) {
  if (install.installed) return
  components.forEach(component => Vue.component(component.name, component))
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  version: '1.1.0',
  install,
  ...components,
}